.record-set {
  padding: 3.5rem 0;
  .set-item {
    position: relative;
    background-color: $yellow;
    cursor: pointer;
    &:after {
      content: "";
      display: block;
      padding-bottom: 100%;
    }
    &:hover {
      .set-image img {
        opacity: 0.5;
        filter: grayscale(50%);
      }
    }
    @include media-breakpoint-down(sm) {
      margin-bottom: 2rem;
    }
  }
  .set-image {
    position: absolute;
    top: 1.5rem;
    right: 1.5rem;
    bottom: 1.5rem;
    left: 1.5rem;
    background-color: #2E2E2E;
    overflow: hidden;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      opacity: 0.25;
      filter: grayscale(100%);
      @include transition(opacity 0.3s linear);
    }
  }
  .set-text {
    @include centerer();
    text-align: center;
    z-index: 1;
    h2 {
      color: $yellow;
      font-size: 25px;
      text-transform: uppercase;
      margin-bottom: 10px;
      white-space: nowrap;
    }
    p {
      background-color: $orange;
      width: 160px;
      color: white;
      font-size: 14px;
      padding: 4px;
      margin: 0 auto;
    }
  }
}

.body-record {
  background-color: $dark-bg;
  padding: 1.5rem 1.5rem 1rem;
  .nav-link {
    width: 56px;
    background-color: white;
    color: $yellow;
    border-radius: 11px;
    text-align: center;
    margin-right: 1rem;
    padding: 0.25rem;
    cursor: pointer;
    &.active {
      background-color: $yellow;
      color: white;
    }
  }
}

.record-chart {
  height: 200px;
}

.record-title {
  color: white;
  font-size: 15px;
  font-family: $eng-font-family;
  text-transform: uppercase;
  font-weight: 300;
  @include media-breakpoint-up(lg) {
    width: 6.5rem;
  }
}

.record-day {
  color: white;
  font-size: 22px;
  font-family: $eng-font-family;
}

.my-exercise {
  background-color: $dark-bg;
  padding: 1.5rem;
  margin: 3.5rem 0;
  /* width */
  ::-webkit-scrollbar {
    width: 6px;
  }
  /* Track */
  ::-webkit-scrollbar-track {
    background-color: $border-color;
    box-shadow: inset 0 0 5px grey;
    border-radius: 10px;
  }
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: $yellow;
    border-radius: 10px;
  }
  .exercise-list {
    height: 204px;
    overflow-y: auto;
    overflow-x: hidden;
  }
  .exercise-item {
    @include flex();
    @include justify-content(space-between);
    border-bottom: 1px solid $border-color;
    padding: 0.75rem 1rem 0.25rem 0;
    > div:first-of-type {
      position: relative;
      padding-left: 1rem;
      &:before {
        content: '';
        position: absolute;
        top: 6px;
        left: 0;
        width: 5px;
        height: 5px;
        background-color: white;
        border-radius: 50%;
      }
    }
  }
  .exercise-content {
    color: white;
    font-size: 15px;
  }
  .exercise-kilocalories {
    color: $yellow;
    font-size: 15px;
  }
  .exercise-time {
    color: $yellow;
    font-size: 18px;
  }
}

.my-diary {
  padding-bottom: 4rem;
  h3 {
    font-size: 22px;
    font-family: $eng-font-family;
    text-transform: uppercase;
    margin-bottom: 10px;
  }
  .diary-item {
    border: 1px solid $border-color;
    padding: 1rem;
    margin-bottom: 0.75rem;
    h4 {
      font-size: 18px;
      font-family: $eng-font-family;
      font-weight: 300;
      margin-bottom: 2.5rem;
    }
    p {
      font-size: 12px;
    }
  }
}
